%define fontconfig_major 1

%define freetype_version 2.1.3-4mdk
%define fcpackage_version 2_1

Summary: Font configuration library
Name: fontconfig
Version: 2.1
Release: 9mdk
License: MIT
Group: System/XFree86
Source: http://fontconfig.org/release/fcpackage.%{fcpackage_version}.tar.bz2
URL: http://fontconfig.org/
BuildRequires:	ed
BuildRoot: %{_tmppath}/fontconfig-%{version}-root
# (fc) 2.0-5mdk don't add build date in configuration file 
Patch3:	fontconfig-2.0-builddate.patch.bz2
# (fc) 2.1-2mdk don't use HOME variable to get homedir
Patch4: fontconfig-2.1-home.patch.bz2
# (fc) 2.1-4mdk Blacklist certain fonts that freetype can't handle (rawhide)
Patch5: fontconfig-2.1-blacklist.patch.bz2
# (fc) 2.1-4mdk support for slighthint is back (rawhide)
Patch6: fontconfig-2.1-slighthint.patch.bz2
# (fc) 2.1-4mdk default configuration (rawhide) + (pablo) 2.1-8mdk adds font aliases for various languages
Patch7: fontconfig-2.1-defaultconfig.patch.bz2
# (fc) 2.1-6mdk don't try to run fc-cache in dir without write acces (CVS)
Patch9: fontconfig-2.1-cachewrite.patch.bz2
# (fc) 2.1-6mdk Dont cache directorys until they've been scanned,a voids losing subdir contents, track dirs containing fonts.cache files referenced from ~/.fonts.cache file (CVS)
Patch10: fontconfig-2.1-fixcache.patch.bz2
# (fc) 2.1-6mdk fix crash in subpixel config load (CVS)
Patch11: fontconfig-2.1-configcrash.patch.bz2
# (fc) 2.1-6mdk fix UTF-16 conversion (CVS)
Patch12: fontconfig-2.1-utf16.patch.bz2
# (fc) 2.1-6mdk speedup FcStrCmpIgnoreCase (CVS)
Patch13: fontconfig-2.1-cmpspeedup.patch.bz2
# (fc) 2.1-7mdk fix matching code (Mdk bug 812) (CVS)
Patch14: fontconfig-2.1-fontmatch.patch.bz2

PreReq: lib%{name}%{fontconfig_major}  >= %{version}-%{release}
BuildRequires: freetype2-devel >= %{freetype_version}
BuildRequires: expat-devel

%description
Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by 
applications.

%package -n lib%{name}%{fontconfig_major}
Summary: Font configuration and customization library
Group: System/Libraries
Requires: %{name} >= %{version}-%{release}

%description -n lib%{name}%{fontconfig_major}
Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by 
applications.

%package -n lib%{name}%{fontconfig_major}-devel
Summary: Font configuration and customization library
Group: Development/C
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Requires: lib%{name}%{fontconfig_major} = %{version}-%{release}
Requires: freetype2-devel >= %{freetype_version}
Requires: expat-devel

%description -n lib%{name}%{fontconfig_major}-devel
The fontconfig-devel package includes the header files,
and developer docs for the fontconfig package.

Install fontconfig-devel if you want to develop programs which 
will use fontconfig.

%prep
%setup -q -n fcpackage.%{fcpackage_version}/fontconfig
%patch3 -p1 -b .builddate
%patch4 -p1 -b .home
%patch5 -p1 -b .blacklist
%patch6 -p1 -b .slighthint
%patch7 -p1 -b .defaultconfig
%patch9 -p1 -b .cachewrite
%patch10 -p1 -b .fixcache
%patch11 -p1 -b .configcrash
%patch12 -p1 -b .utf16
%patch13 -p1 -b .cmpspeedup
%patch14 -p1 -b .fontmatch

%build

%configure
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
install -m 0644 src/fontconfig.man $RPM_BUILD_ROOT%{_mandir}/man3/fontconfig.3

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/fc-cache -f 2>/dev/null

%post -n lib%{name}%{fontconfig_major} -p /sbin/ldconfig

%postun  -n lib%{name}%{fontconfig_major} -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING
%{_bindir}/fc-cache
%{_bindir}/fc-list
%dir %{_sysconfdir}/fonts
%{_sysconfdir}/fonts/fonts.dtd
%config(noreplace) %{_sysconfdir}/fonts/fonts.conf

%files -n lib%{name}%{fontconfig_major}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n lib%{name}%{fontconfig_major}-devel
%defattr(-, root, root)
%{_bindir}/fontconfig-config
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Tue Mar 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.1-9mdk
- Update patch 4 with FcConfigEnableHome backport

* Wed Mar 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> - 2.1-8mdk
- Changed default Tamil fonts; added "Code2000" at the end of
  aliases for "Sans".

* Thu Feb 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.1-7mdk
- Merge patch 8 in patch 7 : patches should not patch patched portion of files...
- Keith Packard is my hero : 
 - Patch14 (CVS): fix matching code (Mdk bug 812)

* Tue Feb 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.1-6mdk
- Patch9 (CVS): don't try to run fc-cache in dir without write access (CVS)
- Patch10 (CVS): Dont cache directorys until they've been scanned,avoids 
losing subdir contents, track dirs containing fonts.cache files referenced 
from ~/.fonts.cache file 
- Patch11 (CVS): fix crash in subpixel config load
- Patch12 (CVS): fix UTF-16 conversion
- Patch13 (CVS): speedup FcStrCmpIgnoreCase
- Update patch4 to first use $HOME and fallback using getpwuid

* Wed Jan 15 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.1-5mdk
- improved the default fontset aliases so it matches previous Xft1 setting

* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1-4mdk
- Patch5 (rawhide): blacklist certain fonts freetype can't handle
- Patch6 (rawhide): support for slighthint is back
- Patch7 (rawhide): change order of default fonts 

* Wed Jan  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1-3mdk
- Update patch4 to fallback to $HOME if not info is available with getpwuid

* Fri Jan  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1-2mdk
- Patch4: don't use HOME variable to get homedir

* Thu Nov 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1-1mdk
- Release 2.1
- Remove patch2 (merged upstream)

* Tue Nov 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-5mdk
- Remove patches 0 & 1 (no longer needed with freetype2 2.1.3)
- Patch2: don't add build date in configuration file

* Wed Nov 6 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0-4mdk
- BuildRequires: ed

* Wed Nov  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-3mdk
- Ensure main package is required by library package

* Mon Nov  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-2mdk
- Fix dependencies

* Mon Nov  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-1mdk
- Initial Mdk package (based on rawhide)
